# Nihongo Benkyo
# Copyright (C) 2005 Mathieu Blondel
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

module NihongoBenkyo
module UI
    class AboutDialog < Gtk::AboutDialog
        GPL = <<EOL
Nihongo Benkyo is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of the
License, or (at your option) any later version.

NihongoBenkyo is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public
License along with NihongoBenkyo; see the file COPYING.  If not,
write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
EOL

        def initialize(parent)
            super()
            self.name = NihongoBenkyo::TITLE
            self.version = NihongoBenkyo::VERSION
            self.copyright = NihongoBenkyo::COPYRIGHT
            self.comments = NihongoBenkyo::DESCRIPTION
            self.authors = NihongoBenkyo::AUTHORS
            self.documenters = NihongoBenkyo::DOCUMENTERS
            self.translator_credits = NihongoBenkyo::TRANSLATORS.join("\n")
            self.website = NihongoBenkyo::WEBSITE_URL
            self.license = GPL
            self.transient_for = parent
            signal_connect('destroy') { hide }
        end
    end
    
end
end
