# Nihongo Benkyo
# Copyright (C) 2005 Mathieu Blondel
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

class Gtk::TreeView
    def has_row_selected?
        res = false
        self.selection.selected_each { res = true }
        res
    end
end


module Gtk::TreeModel
    def nb_rows
        count = 0
        self.each { count += 1 }
        count
    end    
end

class Gtk::ListStore

    def remove_last
        path = Gtk::TreePath.new((self.nb_rows - 1).to_s)
        last_iter = self.get_iter(path)
        self.remove(last_iter)
    end

end


class Gtk::ComboBoxEntry

    def append_text(text)
        row = self.model.prepend
        row[0] = text
    end

end

class ProgressBar < Gtk::Dialog
    include GetText
    GetText.bindtextdomain(NihongoBenkyo::TEXTDOMAIN, nil, nil, "UTF-8")

    def initialize(title, parent)
        super()
        self.modal = true
        self.title = _("In progress...")
        self.resize(250,50)
        
        @pbar = Gtk::ProgressBar.new
        @pbar.pulse_step = 0.2
        @pbar.show
        label = Gtk::Label.new(title, true)
        
        self.vbox.spacing = 10
        self.vbox.pack_start(label, false, false)
        self.vbox.pack_start(@pbar, true, false)
        self.vbox.show_all
        
        button = add_button(Gtk::Stock::CANCEL, Gtk::Dialog::RESPONSE_CANCEL)
        button.signal_connect("clicked") { self.destroy }
        
        self.action_area.pack_start(button)
        
        self.show
        self.transient_for = parent
    end
    
    def pulse
        @pbar.pulse
        Gtk.main_iteration while(Gtk.events_pending?)
        sleep(0.5)
    end
    
end

